// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 46;
	objects = {

/* Begin PBXAggregateTarget section */
		7F9CAA091EDF41C100147FC3 /* mogenerator */ = {
			isa = PBXAggregateTarget;
			buildConfigurationList = 7F9CAA0C1EDF41C100147FC3 /* Build configuration list for PBXAggregateTarget "mogenerator" */;
			buildPhases = (
				7F9CAA0D1EDF41F100147FC3 /* ShellScript */,
			);
			dependencies = (
			);
			name = mogenerator;
			productName = mogenerator;
		};
/* End PBXAggregateTarget section */

/* Begin PBXBuildFile section */
		16ED302C1F5A6FD800FC1EEF /* StoryboardLoadableHelper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 16ED302B1F5A6FD800FC1EEF /* StoryboardLoadableHelper.swift */; };
		1E7AC96A9B95652330C6D1ED /* Pods_iOSApp_Spotifier.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 33C85CE0F1177245FC06949D /* Pods_iOSApp_Spotifier.framework */; };
		7F25C3CD1EE2B61B009C1CD0 /* Track.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7F25C3CC1EE2B61B009C1CD0 /* Track.swift */; };
		7F25C3CF1EE2B626009C1CD0 /* _Track.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7F25C3CE1EE2B626009C1CD0 /* _Track.swift */; };
		7F28519E1F165D2D00863AE4 /* TrackCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7F28519D1F165D2D00863AE4 /* TrackCell.swift */; };
		7F2C65A81EE5C7FA00F726EB /* DataManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7F2C65A71EE5C7FA00F726EB /* DataManager.swift */; };
		7F2C65AA1EE5C8CB00F726EB /* Spotify.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7F2C65A91EE5C8CB00F726EB /* Spotify.swift */; };
		7F39E55D1EDD940900C5F0B3 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7F39E55C1EDD940900C5F0B3 /* AppDelegate.swift */; };
		7F39E5641EDD940900C5F0B3 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 7F39E5631EDD940900C5F0B3 /* Assets.xcassets */; };
		7F39E5671EDD940900C5F0B3 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 7F39E5651EDD940900C5F0B3 /* LaunchScreen.storyboard */; };
		7F44B8701EDF2DD600170B95 /* Spotifier.xcdatamodeld in Sources */ = {isa = PBXBuildFile; fileRef = 7F44B86E1EDF2DD600170B95 /* Spotifier.xcdatamodeld */; };
		7F6FAA861EFBE9CA0090E33F /* SearchCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7F6FAA851EFBE9CA0090E33F /* SearchCell.swift */; };
		7F6FAA8A1EFC0C100090E33F /* SearchCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 7F6FAA891EFC0C100090E33F /* SearchCell.xib */; };
		7F79139C1EFBC9F600CF1D00 /* DataManager-Notifications.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7F79139B1EFBC9F600CF1D00 /* DataManager-Notifications.swift */; };
		7F98D4C91F04FD9B003AE942 /* ArtistVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7F98D4C81F04FD9B003AE942 /* ArtistVC.swift */; };
		7F9CAA121EDF460300147FC3 /* Artist.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7F9CAA0F1EDF460300147FC3 /* Artist.swift */; };
		7F9CAA131EDF460300147FC3 /* _Artist.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7F9CAA111EDF460300147FC3 /* _Artist.swift */; };
		7F9CAA151EDF4D3C00147FC3 /* Album.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7F9CAA141EDF4D3C00147FC3 /* Album.swift */; };
		7F9CAA171EDF4D4800147FC3 /* _Album.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7F9CAA161EDF4D4800147FC3 /* _Album.swift */; };
		7F9D90251F1F65E2001150B5 /* TrackGridCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7F9D90241F1F65E2001150B5 /* TrackGridCell.swift */; };
		7F9EA75F1F0651B700CF90F6 /* AlbumVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7F9EA75E1F0651B700CF90F6 /* AlbumVC.swift */; };
		7FA3C49E1F4B10F100358165 /* FetchableObject.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7FA3C49D1F4B10F100358165 /* FetchableObject.swift */; };
		7FB3EB8A1F3B4ABF00077BD8 /* CollectionView-FRC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7FB3EB891F3B4ABF00077BD8 /* CollectionView-FRC.swift */; };
		7FCC106A1F27771E00019590 /* TrackVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7FCC10691F27771E00019590 /* TrackVC.swift */; };
		7FCEE0C61F04255A0099201E /* AlbumGridCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7FCEE0C51F04255A0099201E /* AlbumGridCell.swift */; };
		7FD389391F10CE65005AD09F /* Dependency.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7FD389361F10CDBF005AD09F /* Dependency.swift */; };
		7FD3893A1F10CE6A005AD09F /* DequeableView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7FD389371F10CDE0005AD09F /* DequeableView.swift */; };
		7FD3893B1F10CE6E005AD09F /* NibLoadable.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7FD389381F10CDE8005AD09F /* NibLoadable.swift */; };
		7FD652241F4AD53100209D5B /* ConfigurableCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7FD652231F4AD53100209D5B /* ConfigurableCell.swift */; };
		7FDC7D701F2A4DA200057050 /* AVFoundation.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 7FDC7D6F1F2A4D9500057050 /* AVFoundation.framework */; };
		7FE237411F0CD4BE00FE5F63 /* CollectionViewLayoutConfiguration.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7FE237401F0CD4BE00FE5F63 /* CollectionViewLayoutConfiguration.swift */; };
		7FE2A4A51F4713C300ECF598 /* DataSource.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7FE2A4A41F4713C300ECF598 /* DataSource.swift */; };
		7FF26D7B1EEF17AF008885F2 /* MainVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7FF26D7A1EEF17AF008885F2 /* MainVC.swift */; };
		7FF26D7D1EEF1833008885F2 /* SearchController.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 7FF26D7C1EEF1833008885F2 /* SearchController.storyboard */; };
		7FF26D7F1EEF184D008885F2 /* SearchController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7FF26D7E1EEF184D008885F2 /* SearchController.swift */; };
		7FF26D821EEF18F2008885F2 /* ReusableView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7FF26D801EEF18F2008885F2 /* ReusableView.swift */; };
		7FF26D831EEF18F2008885F2 /* StoryboardLoadable.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7FF26D811EEF18F2008885F2 /* StoryboardLoadable.swift */; };
		7FF26D851EEF1E6D008885F2 /* NavigationController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7FF26D841EEF1E6D008885F2 /* NavigationController.swift */; };
		7FF26D871EF15E81008885F2 /* DateFormatters.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7FF26D861EF15E81008885F2 /* DateFormatters.swift */; };
		7FF26D891EF161A8008885F2 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 7FF26D881EF161A8008885F2 /* Main.storyboard */; };
		7FF26D8B1EF1BDAA008885F2 /* ArtistGridCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7FF26D8A1EF1BDAA008885F2 /* ArtistGridCell.swift */; };
		7FFE3A8E1F0B05C0009E8AD7 /* AlbumCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 7FFE3A8D1F0B05C0009E8AD7 /* AlbumCell.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		16ED302B1F5A6FD800FC1EEF /* StoryboardLoadableHelper.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = StoryboardLoadableHelper.swift; sourceTree = "<group>"; };
		33C85CE0F1177245FC06949D /* Pods_iOSApp_Spotifier.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_iOSApp_Spotifier.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		48CF0DE743B81357AD891030 /* Pods-iOSApp-Spotifier.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-iOSApp-Spotifier.release.xcconfig"; path = "Pods/Target Support Files/Pods-iOSApp-Spotifier/Pods-iOSApp-Spotifier.release.xcconfig"; sourceTree = "<group>"; };
		7F25C3CC1EE2B61B009C1CD0 /* Track.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Track.swift; sourceTree = "<group>"; };
		7F25C3CE1EE2B626009C1CD0 /* _Track.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = _Track.swift; sourceTree = "<group>"; };
		7F28519D1F165D2D00863AE4 /* TrackCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TrackCell.swift; sourceTree = "<group>"; };
		7F2C65A71EE5C7FA00F726EB /* DataManager.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = DataManager.swift; sourceTree = "<group>"; };
		7F2C65A91EE5C8CB00F726EB /* Spotify.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Spotify.swift; sourceTree = "<group>"; };
		7F39E5591EDD940900C5F0B3 /* Spotifier.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Spotifier.app; sourceTree = BUILT_PRODUCTS_DIR; };
		7F39E55C1EDD940900C5F0B3 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		7F39E5631EDD940900C5F0B3 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; name = Assets.xcassets; path = Spotifier/Assets.xcassets; sourceTree = "<group>"; };
		7F39E5661EDD940900C5F0B3 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		7F39E5681EDD940900C5F0B3 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; name = Info.plist; path = Spotifier/Info.plist; sourceTree = "<group>"; };
		7F44B86F1EDF2DD600170B95 /* Spotifier.xcdatamodel */ = {isa = PBXFileReference; lastKnownFileType = wrapper.xcdatamodel; path = Spotifier.xcdatamodel; sourceTree = "<group>"; };
		7F6FAA851EFBE9CA0090E33F /* SearchCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SearchCell.swift; sourceTree = "<group>"; };
		7F6FAA891EFC0C100090E33F /* SearchCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = SearchCell.xib; sourceTree = "<group>"; };
		7F79139B1EFBC9F600CF1D00 /* DataManager-Notifications.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "DataManager-Notifications.swift"; sourceTree = "<group>"; };
		7F98D4C81F04FD9B003AE942 /* ArtistVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ArtistVC.swift; sourceTree = "<group>"; };
		7F9CAA0F1EDF460300147FC3 /* Artist.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Artist.swift; sourceTree = "<group>"; };
		7F9CAA111EDF460300147FC3 /* _Artist.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = _Artist.swift; sourceTree = "<group>"; };
		7F9CAA141EDF4D3C00147FC3 /* Album.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Album.swift; sourceTree = "<group>"; };
		7F9CAA161EDF4D4800147FC3 /* _Album.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = _Album.swift; sourceTree = "<group>"; };
		7F9D90241F1F65E2001150B5 /* TrackGridCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TrackGridCell.swift; sourceTree = "<group>"; };
		7F9EA75E1F0651B700CF90F6 /* AlbumVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AlbumVC.swift; sourceTree = "<group>"; };
		7FA3C49D1F4B10F100358165 /* FetchableObject.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FetchableObject.swift; sourceTree = "<group>"; };
		7FB3EB891F3B4ABF00077BD8 /* CollectionView-FRC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "CollectionView-FRC.swift"; sourceTree = "<group>"; };
		7FCC10691F27771E00019590 /* TrackVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TrackVC.swift; sourceTree = "<group>"; };
		7FCEE0C51F04255A0099201E /* AlbumGridCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AlbumGridCell.swift; sourceTree = "<group>"; };
		7FD389361F10CDBF005AD09F /* Dependency.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Dependency.swift; sourceTree = "<group>"; };
		7FD389371F10CDE0005AD09F /* DequeableView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DequeableView.swift; sourceTree = "<group>"; };
		7FD389381F10CDE8005AD09F /* NibLoadable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NibLoadable.swift; sourceTree = "<group>"; };
		7FD652231F4AD53100209D5B /* ConfigurableCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ConfigurableCell.swift; sourceTree = "<group>"; };
		7FDC7D6F1F2A4D9500057050 /* AVFoundation.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = AVFoundation.framework; path = System/Library/Frameworks/AVFoundation.framework; sourceTree = SDKROOT; };
		7FE237401F0CD4BE00FE5F63 /* CollectionViewLayoutConfiguration.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CollectionViewLayoutConfiguration.swift; sourceTree = "<group>"; };
		7FE2A4A41F4713C300ECF598 /* DataSource.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DataSource.swift; sourceTree = "<group>"; };
		7FF26D7A1EEF17AF008885F2 /* MainVC.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = MainVC.swift; sourceTree = "<group>"; };
		7FF26D7C1EEF1833008885F2 /* SearchController.storyboard */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = file.storyboard; path = SearchController.storyboard; sourceTree = "<group>"; };
		7FF26D7E1EEF184D008885F2 /* SearchController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = SearchController.swift; sourceTree = "<group>"; };
		7FF26D801EEF18F2008885F2 /* ReusableView.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ReusableView.swift; sourceTree = "<group>"; };
		7FF26D811EEF18F2008885F2 /* StoryboardLoadable.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = StoryboardLoadable.swift; sourceTree = "<group>"; };
		7FF26D841EEF1E6D008885F2 /* NavigationController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = NavigationController.swift; sourceTree = "<group>"; };
		7FF26D861EF15E81008885F2 /* DateFormatters.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = DateFormatters.swift; sourceTree = "<group>"; };
		7FF26D881EF161A8008885F2 /* Main.storyboard */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = file.storyboard; path = Main.storyboard; sourceTree = "<group>"; };
		7FF26D8A1EF1BDAA008885F2 /* ArtistGridCell.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ArtistGridCell.swift; sourceTree = "<group>"; };
		7FFE3A8D1F0B05C0009E8AD7 /* AlbumCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AlbumCell.swift; sourceTree = "<group>"; };
		F019E05FC564CF558315E5DF /* Pods-iOSApp-Spotifier.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-iOSApp-Spotifier.debug.xcconfig"; path = "Pods/Target Support Files/Pods-iOSApp-Spotifier/Pods-iOSApp-Spotifier.debug.xcconfig"; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		7F39E5561EDD940900C5F0B3 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				7FDC7D701F2A4DA200057050 /* AVFoundation.framework in Frameworks */,
				1E7AC96A9B95652330C6D1ED /* Pods_iOSApp_Spotifier.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		22B3C2F36B0E67D50700D135 /* Pods */ = {
			isa = PBXGroup;
			children = (
				F019E05FC564CF558315E5DF /* Pods-iOSApp-Spotifier.debug.xcconfig */,
				48CF0DE743B81357AD891030 /* Pods-iOSApp-Spotifier.release.xcconfig */,
			);
			name = Pods;
			sourceTree = "<group>";
		};
		7F39E5501EDD940900C5F0B3 = {
			isa = PBXGroup;
			children = (
				7F6FAA7E1EFBDA2F0090E33F /* Essentials */,
				7F44B86D1EDF2D2200170B95 /* DataModel */,
				7F39E55B1EDD940900C5F0B3 /* Spotifier */,
				7F9D90231F1F5A08001150B5 /* Cell views */,
				7F39E5631EDD940900C5F0B3 /* Assets.xcassets */,
				7F39E5681EDD940900C5F0B3 /* Info.plist */,
				7F39E55A1EDD940900C5F0B3 /* Products */,
				22B3C2F36B0E67D50700D135 /* Pods */,
				9EEFF46FA26CC7E7674AD784 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		7F39E55A1EDD940900C5F0B3 /* Products */ = {
			isa = PBXGroup;
			children = (
				7F39E5591EDD940900C5F0B3 /* Spotifier.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		7F39E55B1EDD940900C5F0B3 /* Spotifier */ = {
			isa = PBXGroup;
			children = (
				7FF26D7A1EEF17AF008885F2 /* MainVC.swift */,
				7F98D4C81F04FD9B003AE942 /* ArtistVC.swift */,
				7F9EA75E1F0651B700CF90F6 /* AlbumVC.swift */,
				7FCC10691F27771E00019590 /* TrackVC.swift */,
				7FF26D7E1EEF184D008885F2 /* SearchController.swift */,
				7FF26D841EEF1E6D008885F2 /* NavigationController.swift */,
				7FF26D881EF161A8008885F2 /* Main.storyboard */,
				7FF26D7C1EEF1833008885F2 /* SearchController.storyboard */,
				7F39E5651EDD940900C5F0B3 /* LaunchScreen.storyboard */,
				7F39E55C1EDD940900C5F0B3 /* AppDelegate.swift */,
			);
			path = Spotifier;
			sourceTree = "<group>";
		};
		7F44B86D1EDF2D2200170B95 /* DataModel */ = {
			isa = PBXGroup;
			children = (
				7F2C65A71EE5C7FA00F726EB /* DataManager.swift */,
				7FE2A4A41F4713C300ECF598 /* DataSource.swift */,
				7F2C65A91EE5C8CB00F726EB /* Spotify.swift */,
				7FD389361F10CDBF005AD09F /* Dependency.swift */,
				7F9CAA0E1EDF460300147FC3 /* mogen-classes */,
				7F9CAA101EDF460300147FC3 /* mogen-properties */,
				7F44B86E1EDF2DD600170B95 /* Spotifier.xcdatamodeld */,
				7FF26D861EF15E81008885F2 /* DateFormatters.swift */,
			);
			path = DataModel;
			sourceTree = "<group>";
		};
		7F6FAA7E1EFBDA2F0090E33F /* Essentials */ = {
			isa = PBXGroup;
			children = (
				7F79139B1EFBC9F600CF1D00 /* DataManager-Notifications.swift */,
				7FD389371F10CDE0005AD09F /* DequeableView.swift */,
				7FF26D801EEF18F2008885F2 /* ReusableView.swift */,
				7FD389381F10CDE8005AD09F /* NibLoadable.swift */,
				7FF26D811EEF18F2008885F2 /* StoryboardLoadable.swift */,
				16ED302B1F5A6FD800FC1EEF /* StoryboardLoadableHelper.swift */,
				7FA3C49D1F4B10F100358165 /* FetchableObject.swift */,
				7FD652231F4AD53100209D5B /* ConfigurableCell.swift */,
				7FE237401F0CD4BE00FE5F63 /* CollectionViewLayoutConfiguration.swift */,
				7FB3EB891F3B4ABF00077BD8 /* CollectionView-FRC.swift */,
			);
			name = Essentials;
			sourceTree = "<group>";
		};
		7F9CAA0E1EDF460300147FC3 /* mogen-classes */ = {
			isa = PBXGroup;
			children = (
				7F9CAA0F1EDF460300147FC3 /* Artist.swift */,
				7F9CAA141EDF4D3C00147FC3 /* Album.swift */,
				7F25C3CC1EE2B61B009C1CD0 /* Track.swift */,
			);
			path = "mogen-classes";
			sourceTree = "<group>";
		};
		7F9CAA101EDF460300147FC3 /* mogen-properties */ = {
			isa = PBXGroup;
			children = (
				7F9CAA111EDF460300147FC3 /* _Artist.swift */,
				7F9CAA161EDF4D4800147FC3 /* _Album.swift */,
				7F25C3CE1EE2B626009C1CD0 /* _Track.swift */,
			);
			path = "mogen-properties";
			sourceTree = "<group>";
		};
		7F9D90231F1F5A08001150B5 /* Cell views */ = {
			isa = PBXGroup;
			children = (
				7FF26D8A1EF1BDAA008885F2 /* ArtistGridCell.swift */,
				7FCEE0C51F04255A0099201E /* AlbumGridCell.swift */,
				7F9D90241F1F65E2001150B5 /* TrackGridCell.swift */,
				7FFE3A8D1F0B05C0009E8AD7 /* AlbumCell.swift */,
				7F28519D1F165D2D00863AE4 /* TrackCell.swift */,
				7F6FAA851EFBE9CA0090E33F /* SearchCell.swift */,
				7F6FAA891EFC0C100090E33F /* SearchCell.xib */,
			);
			name = "Cell views";
			sourceTree = "<group>";
		};
		9EEFF46FA26CC7E7674AD784 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				7FDC7D6F1F2A4D9500057050 /* AVFoundation.framework */,
				33C85CE0F1177245FC06949D /* Pods_iOSApp_Spotifier.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		7F39E5581EDD940900C5F0B3 /* Spotifier */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 7F39E56B1EDD940900C5F0B3 /* Build configuration list for PBXNativeTarget "Spotifier" */;
			buildPhases = (
				C3DC246F785F07E64A6CBF1C /* [CP] Check Pods Manifest.lock */,
				7F39E5551EDD940900C5F0B3 /* Sources */,
				7F39E5561EDD940900C5F0B3 /* Frameworks */,
				7F39E5571EDD940900C5F0B3 /* Resources */,
				E70ACCEB75D94C56F92C8317 /* [CP] Embed Pods Frameworks */,
				E6130664CED79A36ABE09EBA /* [CP] Copy Pods Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Spotifier;
			productName = Spotifier;
			productReference = 7F39E5591EDD940900C5F0B3 /* Spotifier.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		7F39E5511EDD940900C5F0B3 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 0830;
				LastUpgradeCheck = 0900;
				ORGANIZATIONNAME = "Nemanja Gagic";
				TargetAttributes = {
					7F39E5581EDD940900C5F0B3 = {
						CreatedOnToolsVersion = 8.3.2;
						DevelopmentTeam = 8BK4BEP6G5;
						LastSwiftMigration = 0900;
						ProvisioningStyle = Automatic;
						SystemCapabilities = {
							com.apple.BackgroundModes = {
								enabled = 1;
							};
						};
					};
					7F9CAA091EDF41C100147FC3 = {
						CreatedOnToolsVersion = 8.3.2;
						ProvisioningStyle = Automatic;
					};
				};
			};
			buildConfigurationList = 7F39E5541EDD940900C5F0B3 /* Build configuration list for PBXProject "Spotifier" */;
			compatibilityVersion = "Xcode 3.2";
			developmentRegion = English;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 7F39E5501EDD940900C5F0B3;
			productRefGroup = 7F39E55A1EDD940900C5F0B3 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				7F39E5581EDD940900C5F0B3 /* Spotifier */,
				7F9CAA091EDF41C100147FC3 /* mogenerator */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		7F39E5571EDD940900C5F0B3 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				7F6FAA8A1EFC0C100090E33F /* SearchCell.xib in Resources */,
				7FF26D7D1EEF1833008885F2 /* SearchController.storyboard in Resources */,
				7F39E5671EDD940900C5F0B3 /* LaunchScreen.storyboard in Resources */,
				7F39E5641EDD940900C5F0B3 /* Assets.xcassets in Resources */,
				7FF26D891EF161A8008885F2 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		7F9CAA0D1EDF41F100147FC3 /* ShellScript */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "cd DataModel\n\"${SRCROOT}/DataModel/tmpl/mogenerator\" --swift --model Spotifier.xcdatamodeld --template-path tmpl --human-dir mogen-classes --machine-dir mogen-properties";
		};
		C3DC246F785F07E64A6CBF1C /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "[CP] Check Pods Manifest.lock";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n";
			showEnvVarsInLog = 0;
		};
		E6130664CED79A36ABE09EBA /* [CP] Copy Pods Resources */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "[CP] Copy Pods Resources";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-iOSApp-Spotifier/Pods-iOSApp-Spotifier-resources.sh\"\n";
			showEnvVarsInLog = 0;
		};
		E70ACCEB75D94C56F92C8317 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
			);
			name = "[CP] Embed Pods Frameworks";
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${SRCROOT}/Pods/Target Support Files/Pods-iOSApp-Spotifier/Pods-iOSApp-Spotifier-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		7F39E5551EDD940900C5F0B3 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				7F9D90251F1F65E2001150B5 /* TrackGridCell.swift in Sources */,
				7F44B8701EDF2DD600170B95 /* Spotifier.xcdatamodeld in Sources */,
				7FD389391F10CE65005AD09F /* Dependency.swift in Sources */,
				7FFE3A8E1F0B05C0009E8AD7 /* AlbumCell.swift in Sources */,
				7FD3893B1F10CE6E005AD09F /* NibLoadable.swift in Sources */,
				7F6FAA861EFBE9CA0090E33F /* SearchCell.swift in Sources */,
				7F2C65A81EE5C7FA00F726EB /* DataManager.swift in Sources */,
				7FF26D831EEF18F2008885F2 /* StoryboardLoadable.swift in Sources */,
				7F28519E1F165D2D00863AE4 /* TrackCell.swift in Sources */,
				7FCEE0C61F04255A0099201E /* AlbumGridCell.swift in Sources */,
				7F2C65AA1EE5C8CB00F726EB /* Spotify.swift in Sources */,
				16ED302C1F5A6FD800FC1EEF /* StoryboardLoadableHelper.swift in Sources */,
				7FF26D871EF15E81008885F2 /* DateFormatters.swift in Sources */,
				7F25C3CF1EE2B626009C1CD0 /* _Track.swift in Sources */,
				7FA3C49E1F4B10F100358165 /* FetchableObject.swift in Sources */,
				7FE237411F0CD4BE00FE5F63 /* CollectionViewLayoutConfiguration.swift in Sources */,
				7F98D4C91F04FD9B003AE942 /* ArtistVC.swift in Sources */,
				7F9EA75F1F0651B700CF90F6 /* AlbumVC.swift in Sources */,
				7F9CAA171EDF4D4800147FC3 /* _Album.swift in Sources */,
				7F25C3CD1EE2B61B009C1CD0 /* Track.swift in Sources */,
				7FD3893A1F10CE6A005AD09F /* DequeableView.swift in Sources */,
				7F79139C1EFBC9F600CF1D00 /* DataManager-Notifications.swift in Sources */,
				7FCC106A1F27771E00019590 /* TrackVC.swift in Sources */,
				7FD652241F4AD53100209D5B /* ConfigurableCell.swift in Sources */,
				7FF26D851EEF1E6D008885F2 /* NavigationController.swift in Sources */,
				7F9CAA131EDF460300147FC3 /* _Artist.swift in Sources */,
				7FF26D8B1EF1BDAA008885F2 /* ArtistGridCell.swift in Sources */,
				7FF26D821EEF18F2008885F2 /* ReusableView.swift in Sources */,
				7FE2A4A51F4713C300ECF598 /* DataSource.swift in Sources */,
				7FF26D7F1EEF184D008885F2 /* SearchController.swift in Sources */,
				7F9CAA121EDF460300147FC3 /* Artist.swift in Sources */,
				7FB3EB8A1F3B4ABF00077BD8 /* CollectionView-FRC.swift in Sources */,
				7F39E55D1EDD940900C5F0B3 /* AppDelegate.swift in Sources */,
				7FF26D7B1EEF17AF008885F2 /* MainVC.swift in Sources */,
				7F9CAA151EDF4D3C00147FC3 /* Album.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		7F39E5651EDD940900C5F0B3 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				7F39E5661EDD940900C5F0B3 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		7F39E5691EDD940900C5F0B3 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 10.0;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		7F39E56A1EDD940900C5F0B3 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 10.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				SWIFT_OPTIMIZATION_LEVEL = "-Owholemodule";
				TARGETED_DEVICE_FAMILY = "1,2";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		7F39E56C1EDD940900C5F0B3 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = F019E05FC564CF558315E5DF /* Pods-iOSApp-Spotifier.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				DEVELOPMENT_TEAM = 8BK4BEP6G5;
				INFOPLIST_FILE = Spotifier/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 10.0;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = rs.iosakademija.Spotifier;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 3.0;
			};
			name = Debug;
		};
		7F39E56D1EDD940900C5F0B3 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 48CF0DE743B81357AD891030 /* Pods-iOSApp-Spotifier.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				DEVELOPMENT_TEAM = 8BK4BEP6G5;
				INFOPLIST_FILE = Spotifier/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 10.0;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = rs.iosakademija.Spotifier;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 3.0;
			};
			name = Release;
		};
		7F9CAA0A1EDF41C100147FC3 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Debug;
		};
		7F9CAA0B1EDF41C100147FC3 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		7F39E5541EDD940900C5F0B3 /* Build configuration list for PBXProject "Spotifier" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				7F39E5691EDD940900C5F0B3 /* Debug */,
				7F39E56A1EDD940900C5F0B3 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		7F39E56B1EDD940900C5F0B3 /* Build configuration list for PBXNativeTarget "Spotifier" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				7F39E56C1EDD940900C5F0B3 /* Debug */,
				7F39E56D1EDD940900C5F0B3 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		7F9CAA0C1EDF41C100147FC3 /* Build configuration list for PBXAggregateTarget "mogenerator" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				7F9CAA0A1EDF41C100147FC3 /* Debug */,
				7F9CAA0B1EDF41C100147FC3 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCVersionGroup section */
		7F44B86E1EDF2DD600170B95 /* Spotifier.xcdatamodeld */ = {
			isa = XCVersionGroup;
			children = (
				7F44B86F1EDF2DD600170B95 /* Spotifier.xcdatamodel */,
			);
			currentVersion = 7F44B86F1EDF2DD600170B95 /* Spotifier.xcdatamodel */;
			path = Spotifier.xcdatamodeld;
			sourceTree = "<group>";
			versionGroupType = wrapper.xcdatamodel;
		};
/* End XCVersionGroup section */
	};
	rootObject = 7F39E5511EDD940900C5F0B3 /* Project object */;
}
